> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Marketplace Vendors Kpis

> Get KPIs for vendors in a marketplace using external vendor IDs.



## OpenAPI

````yaml /openapi.json get /public/v1/reporting-service/marketplace/vendors-kpis
openapi: 3.1.0
info:
  title: Topsort Endpoints v2 API Reference
  description: >
    In order for a storefront to be able to run auctions in Topsort and report
    auction-related events back to Topsort,

    both the `/v2/auctions` and `/v2/events` endpoints must be integrated.

    Below are the endpoint and model definitions for each.
  contact:
    email: wicha@topsort.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  x-logo:
    url: https://assets.topsort.com/Topsort_logo_icon_dark.svg
    backgroundColor: '#fff'
    altText: Topsort
  version: 2.0.0
servers:
  - url: https://api.topsort.com
    description: Base API URL
security: []
tags:
  - name: Auctions
    description: >-
      An auction determines which products should be promoted based on the
      vendors' bids.
  - name: Events
    description: >-
      Events are sent to Topsort as part of the attribution and reporting
      journey.
  - name: Toptimize
    description: >
      An out-of-the-box solution for prediction, ranking, retrieval, and other
      elements of ad selection.
  - name: Toppie API
    description: Toppie management API.
  - name: Campaign API
    description: Full-featured campaign management API for banners and sponsored listings.
  - name: Catalog API
    description: Products catalog management API.
  - name: Billing API
    description: Marketplace and Vendor Billing management API.
  - name: Reporting API
    description: Marketplace, Vendor, Campaign, and product reporting API.
  - name: Invitation API
    description: Vendor invitations management API.
  - name: User API
    description: User management API.
  - name: Webhooks API
    description: Webhooks API that allows event-driven automation.
  - name: Assets API
    description: Assets management API.
  - name: Segments Service
    description: Segments Service.
  - name: Forecasting Service
    description: Toptimize Forecasting Service.
  - name: Offsite Ads API
    description: Offsite Ads API that allows to manage offsite ads campaigns.
  - name: Media API
    description: Ad configuration API.
paths:
  /public/v1/reporting-service/marketplace/vendors-kpis:
    get:
      tags:
        - Reporting API
      summary: Get Marketplace Vendors Kpis
      description: Get KPIs for vendors in a marketplace using external vendor IDs.
      operationId: get_marketplace_vendors_kpis
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 0
            description: The pagination limit.
            default: 100
          description: The pagination limit.
        - name: next_page
          in: query
          required: false
          schema:
            description: >-
              Pagination cursor as provided in an earlier response. If provided
              will fetch the next page of results.
            oneOf:
              - type: string
              - type: 'null'
          description: >-
            Pagination cursor as provided in an earlier response. If provided
            will fetch the next page of results.
        - name: start_date
          in: query
          required: true
          schema:
            type: string
            format: date
            description: The start date for which reports will be generated.
          description: The start date for which reports will be generated.
        - name: end_date
          in: query
          required: true
          schema:
            type: string
            format: date
            description: The end date for which reports will be generated.
          description: The end date for which reports will be generated.
        - name: search
          in: query
          required: false
          schema:
            type: string
            description: The search string for a given query.
          description: The search string for a given query.
        - name: ad_format
          in: query
          required: false
          schema:
            description: >-
              The ad format for which reports will be generated. If not
              specified, all ad formats will be included.
            oneOf:
              - $ref: '#/components/schemas/Advanced_APIs_AdFormat'
              - type: 'null'
          description: >-
            The ad format for which reports will be generated. If not specified,
            all ad formats will be included.
        - name: order_by
          in: query
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Advanced_APIs_ReportingDimension'
            description: Order by field.
            default:
              - ad_spend
          description: Order by field.
        - name: direction
          in: query
          required: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Advanced_APIs_ReportingOrderByDirection'
            description: 'Order direction. Must be one of: asc, desc.'
            default:
              - desc
          description: 'Order direction. Must be one of: asc, desc.'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Advanced_APIs_PublicMarketplaceVendorsKpisResponse
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_HTTPValidationError'
      security:
        - Advanced_APIs_HTTPBearer: []
components:
  schemas:
    Advanced_APIs_AdFormat:
      type: string
      enum:
        - listing
        - banner
        - sponsored_brand
        - exclusive_listing
        - exclusive_banner
        - travel_listing
        - flight_listing
      title: AdFormat
      description: The type of the auction.
    Advanced_APIs_ReportingDimension:
      type: string
      enum:
        - impressions
        - charged_impressions
        - clicks
        - charged_clicks
        - purchase_count
        - purchase_revenue
        - ad_spend
        - cpc
        - cpm
        - ctr
        - conversion_rate
        - roas
        - acos
        - vendor_id
        - vendor_name
        - timegroup
        - campaign_name
        - campaign_id
        - status
        - ad_format
        - active_campaigns
        - wallet_name
        - days_until_topup
        - balance
        - quantity
      title: ReportingDimension
      description: The dimension to order by.
    Advanced_APIs_ReportingOrderByDirection:
      type: string
      enum:
        - asc
        - desc
      title: ReportingOrderByDirection
      description: The direction to order by.
    Advanced_APIs_PublicMarketplaceVendorsKpisResponse:
      properties:
        hasMore:
          type: boolean
          title: Hasmore
          description: >-
            Flag that indicates whether more results are available. `true`
            indicates there is a next page of results. `false` indicates  this
            response contains the last page of results.
        nextPage:
          title: Nextpage
          description: >-
            Pagination cursor. Provide this value as a `next_page` query
            parameter in a new request to retrieve the next page of results.
          examples:
            - SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo=
          oneOf:
            - type: string
              minLength: 1
            - type: 'null'
        vendorKpis:
          items:
            $ref: '#/components/schemas/Advanced_APIs_PublicVendorsKpis'
          type: array
          title: Vendorkpis
          description: A list with the marketplace vendors KPIs.
      type: object
      required:
        - hasMore
        - vendorKpis
      title: PublicMarketplaceVendorsKpisResponse
      description: Response for marketplace vendors KPIs using external IDs.
    Advanced_APIs_HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Advanced_APIs_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Advanced_APIs_PublicVendorsKpis:
      properties:
        adSpend:
          type: integer
          minimum: 0
          title: Adspend
          description: >-
            Amount spent on ads during the selected period in minor units of
            currency.
        cpc:
          type: number
          title: Cpc
          description: Average cost per click during the selected period.
        cpm:
          type: number
          title: Cpm
          description: Average cost per thousand impressions during the selected period.
          default: 0
        ctr:
          type: number
          title: Ctr
          description: The click through rate during the selected period.
        conversionRate:
          type: number
          title: Conversionrate
          description: The conversion rate during the selected period.
        impressions:
          type: integer
          minimum: 0
          title: Impressions
          description: Number of impressions during the selected period.
        chargedImpressions:
          type: integer
          minimum: 0
          title: Chargedimpressions
          description: Amount of charged impressions during the selected period.
        clicks:
          type: integer
          minimum: 0
          title: Clicks
          description: Number of clicks during the selected period.
        chargedClicks:
          type: integer
          minimum: 0
          title: Chargedclicks
          description: Amount of charged clicks during the selected period.
        purchaseCount:
          type: integer
          minimum: 0
          title: Purchasecount
          description: Number of purchases during the selected period.
        purchaseRevenue:
          type: integer
          minimum: 0
          title: Purchaserevenue
          description: >-
            Revenue from promoted sales during the selected period in minor
            units of currency.
        roas:
          type: number
          title: Roas
          description: The return on ad spend during the selected period.
        acos:
          type: number
          title: Acos
          description: >-
            Advertising cost of sales (inverse of ROAS) during the selected
            period.
          default: 0
        id:
          type: string
          title: Id
          description: The external vendor ID used by the marketplace.
        vendorName:
          title: Vendorname
          description: The vendor name.
          oneOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - adSpend
        - cpc
        - ctr
        - conversionRate
        - impressions
        - chargedImpressions
        - clicks
        - chargedClicks
        - purchaseCount
        - purchaseRevenue
        - roas
        - id
      title: PublicVendorsKpis
      description: Response for analytics KPIs using external vendor IDs.
    Advanced_APIs_ValidationError:
      properties:
        loc:
          items:
            oneOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Advanced_APIs_HTTPBearer:
      type: http
      description: >-
        A valid API key generated in Topsort's UI. Use the TSE API key if
        calling auctions or events API, otherwise use the TSC API key.
      scheme: bearer

````